<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('cmms_machines', function (Blueprint $table) {
            $table->id();
            $table->string('car_name')->nullable();
            $table->string('car_group')->nullable();
            $table->unsignedBigInteger('car_id')->nullable();
            $table->string('car_status')->nullable();
            $table->string('machine_code')->nullable();
            $table->string('unit_name')->nullable();
            $table->string('unit_group')->nullable();
            $table->string('plak_number')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('cmms_machines');
    }
};
